#include "scriptnode.h"
#include "engine.h"
#include "sparrowshell/sparrowshell.h"
#include <iostream>
#define LUASETFUN(var) s.set_function(#var,&ScriptNode::var,this)

ScriptNode::ScriptNode()
{
    LUASETFUN(print);
}

void ScriptNode::update(){
    static bool test = true;
    if(test)
        test=false;
}

void ScriptNode::print(std::string to_print){
    this->getEngine().getShell()->out(to_print.append("\n"));
}


void ScriptNode::execute(std::string to_execute){
    try{
        s.script(to_execute);
    }catch(sol::error error_lua){
        this->getEngine().getShell()->out(error_lua.what(),glm::vec3(1,0,0));
    }
}
